Summary: Any to PostScript filter.
Name: a2ps
Version: 4.13
Release: 3
Group: Utilities/Text
Copyright: GPL
Url: http://www.inf.enst.fr/~demaille/a2ps/
Packager: Paulo Matos <pjsm@fct.unl.pt>
Source: ftp://ftp.enst.fr/pub/unix/a2ps/%{name}-%{version}.tar.gz 
#Patch:  %{name}-%{version}.patch
Requires: psutils
BuildRoot: /var/tmp/%{name}-root
Summary(pt): Filtro de Qualquer coisa para PostScript.
Summary(fr): Filtre vers PostScript. 

%description
GNU a2ps is an Any to PostScript filter.  Of course it processes plain
text files, but also pretty prints quite a few popular languages.

Its slogan is precisely `` Do The Right Thing '', which means that
though it is highly configurable, everything was made so that a novice
user can do complicated PostScript manipulations.  For instance, it
has the ability to delegate the processing of some files to other
filters (such as groff, texi2dvi, dvips, gzip etc.), what allows a
uniform treatment (n-up, page selection, duplex etc.) of heterogeneous
files (DVI, gz, PDF, HTML, PostScript, Texinfo, GIF...).

It includes support for a wide number of programming languages, encodings 
(ISO Latins, Cyrillic etc.), medias, and Native Language Support (NLS). 

%description -l pt
GNU a2ps  um filtro de "qualquer coisa" para PostScript. No s processa
ficheiros de texto simples,  tambm faz uma impresso com dando nfase  
sintaxe de muitas linguagens de programao.

O seu slogan  `` Do The Right Thing '', que significa que apesar de este
ser altamente configurvel, tudo foi feito para que um novato tivesse a 
possibilidade de fazer complicadas manipulaes ao nvel do PostScript.
Por exemplo, o a2ps tem a possibilidade de delegar o processamento de alguns 
ficheiros para outros filtros (como o groff, texi2dvi, dvips, gzip etc.),
o que permite um tratamento uniforme (n-up, seleco de pgina, duplex etc.)
de ficheiros heterogneos (DVI, gz, PDF, HTML, PostScript, Texinfo, GIF...).

Contm suporte para um largo nmero de linguagens de programao, cdigos
(ISO Latins, Cyrillic etc.), formatos, e Suporte para Lngua Nativa (NLS).  

%description -l fr
GNU a2ps est un filtre vers PostScript.  Bien entendu il imprime les
fichiers textes, embellit les sources de nombreux langages, supporte
plusieurs jeux de caractres, et son interface est internationalise.

Son intention est d'offrir la possibilit d'effectuer d'une faon
simple et naturelle des oprations jusqu' prsent complexes.  Par
exemple il peut dlguer le traitement de certains types de fichiers 
d'autres applications, telles que Netscape, groff, texi2dvi, dvips,
gzip etc., de faon  permettre un traitement uniforme (slection de
pages, impression de livrets, multiplexage etc.) de fichiers
htrognes (DVI, gz, PDF, HTML, PostScript, Texinfo, GIF...).

%package devel
Summary: Include files and libraries for a2ps development
Group: Utilities/Text
Summary(pt): Bibliotecas e Includes para desenvolvimento do a2ps
Summary(fr): Headers et bibliothques pour le dveloppement avec a2ps 

%description devel
Contains files necessary to develop applications using liba2ps.

%description -l pt devel
Contm os ficheiros necessrios para desenvolver aplicaes usando liba2ps.

%description -l fr devel
Contient les fichiers ncessaires pour dvelopper des applications avec liba2ps.


%prep
%setup -q
#%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=/usr --sysconfdir=/etc --with-medium=A4
# Remove prebuilt info files to force regeneration at build time
find . -name "*.info*" -exec rm -f {} \;
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*


%post
/sbin/install-info /usr/info/a2ps.info.gz     /usr/info/dir
/sbin/install-info /usr/info/ogonkify.info.gz /usr/info/dir
/sbin/install-info /usr/info/regex.info.gz    /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/a2ps.info.gz     /usr/info/dir
    /sbin/install-info --delete /usr/info/ogonkify.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/regex.info.gz    /usr/info/dir
fi


%files
%defattr(-,root,root)
%config /etc/a2ps.cfg
%config(noreplace) /etc/a2ps-site.cfg
%doc ABOUT-NLS ANNOUNCE AUTHORS COPYING ChangeLog FAQ 
%doc INSTALL NEWS README THANKS TODO
/usr/bin/*
/usr/info/a2ps.*
/usr/info/ogonkify.*
/usr/info/regex.*
/usr/man/man1/*
/usr/share/a2ps/
/usr/share/ogonkify
/usr/share/locale/*/LC_MESSAGES/a2ps.mo

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 29 2000 Paulo Matos <pjsm@fct.unl.pt>
- add french descriptions
- fixed wrong include of /usr/info/dir.gz.

* Tue Feb 15 2000 Paulo Matos <pjsm@fct.unl.pt>
- add portuguese descriptions
- add psutils dependency

* Thu Feb 10 2000 Paulo Matos <pjsm@fct.unl.pt>
- initial release of version 4.13
 
